GuideLab API

Preview authoritative pricing without pinning an order

POST
/price-lists/preview

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/price-lists/preview" \  -H "Content-Type: application/json" \  -d '{    "labId": "string",    "clinicId": "string",    "items": [      {        "productId": "string"      }    ]  }'
{  "effectiveAt": "2019-08-24T14:15:22Z",  "selection": "assigned_price_list",  "priceListId": "string",  "priceListVersionId": "string",  "currency": "string",  "items": [    {      "unitPrice": "string",      "totalPrice": "string",      "pricingSource": "fixed_rule",      "priceListVersionId": "string",      "priceListRuleId": "string",      "priceListRuleTargetKind": "product",      "priceListProductRuleId": "string",      "priceListBundleRuleId": "string"    }  ]}
Empty
Empty
Empty
Empty
Empty